### Function

# Gimp text_font

#### Declaration [src]

    GimpLayer*
    gimp_text_font (
      GimpImage* image,
      GimpDrawable* drawable,
      gdouble x,
      gdouble y,
      const gchar* text,
      gint border,
      gboolean antialias,
      gdouble size,
      GimpFont* font
    )

#### Description [src]

Add text at the specified location as a floating selection or a new layer.

The x and y parameters together control the placement of the new text by specifying the upper left corner of the text bounding box. If the specified drawable parameter is valid, the text will be created as a floating selection attached to the drawable. If the drawable parameter is not valid (`NULL`), the text will appear as a new layer. Finally, a border can be specified around the final rendered text. The border is measured in pixels. The size is always in pixels. If you need to display a font in points, divide the size in points by 72.0 and multiply it by the image’s vertical resolution.

#### Parameters

`image`

  Type: `GimpImage`

  The image.

  The data is owned by the caller of the function.

`drawable`

  Type: `GimpDrawable`

  The affected drawable: (`NULL` for a new text layer).

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`x`

  Type: `gdouble`

  The x coordinate for the left of the text bounding box.

`y`

  Type: `gdouble`

  The y coordinate for the top of the text bounding box.

`text`

  Type: `const gchar*`

  The text to generate (in UTF-8 encoding).

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`border`

  Type: `gint`

  The size of the border.

`antialias`

  Type: `gboolean`

  Antialiasing.

`size`

  Type: `gdouble`

  The size of text in pixels.

`font`

  Type: `GimpFont`

  The font.

  The data is owned by the caller of the function.

#### Return value

Type: `GimpLayer`

         The new text layer or `NULL` if no layer was created.

The data is owned by the called function.
The return value can be `NULL`.